org.modeshape.jcr.value

## Interface StringFactory

- All Superinterfaces:
    ValueFactory<String>
  All Known Implementing Classes:
    StringValueFactory

      public interface StringFactory
      extends ValueFactory<String>

- - ### Field Summary

    - ### Fields inherited from interface org.modeshape.jcr.value.ValueFactory

      `DEFAULT_DECODER, DEFAULT_ENCODER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringFactory` | `with(NamespaceRegistry.Holder namespaceRegistryHolder)` Return a potentially new copy of this factory that uses the supplied `NamespaceRegistry.Holder` object.
    `StringFactory` | `with(ValueFactories valueFactories)` Return a potentially new copy of this factory that uses the supplied ValueFactories object.

    - ### Methods inherited from interface org.modeshape.jcr.value.ValueFactory

      `create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, create, createEmptyArray, getPropertyType`

- - ### Method Detail

    - #### with

          StringFactory with(ValueFactories valueFactories)

      Description copied from interface: `ValueFactory`
      Return a potentially new copy of this factory that uses the supplied ValueFactories object.
      Specified by:
        `with` in interface `ValueFactory<String>`
      Parameters:
        `valueFactories` - the value factories object; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied value factories is the same as used by this factory; never null

    - #### with

          StringFactory with(NamespaceRegistry.Holder namespaceRegistryHolder)

      Return a potentially new copy of this factory that uses the supplied `NamespaceRegistry.Holder` object.
      Parameters:
        `namespaceRegistryHolder` - the holder of the namespace registry; may not be null
      Returns:
        the factory, which may be a new instance or may be this object if the supplied namespace registry holder is the same as used by this factory; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.